summaryrefslogtreecommitdiff
path: root/debian/etcskel-kanotix-kf5.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/etcskel-kanotix-kf5.preinst')
-rw-r--r--debian/etcskel-kanotix-kf5.preinst39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/etcskel-kanotix-kf5.preinst b/debian/etcskel-kanotix-kf5.preinst
new file mode 100644
index 0000000..fd008de
--- /dev/null
+++ b/debian/etcskel-kanotix-kf5.preinst
@@ -0,0 +1,39 @@
+#!/bin/sh
+# preinst script for etcskel-kanotix-kf5
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+if [ install = "$1" -o upgrade = "$1" ]; then
+ dpkg-divert --package etcskel-kanotix-kf5 --add --rename \
+ --divert /usr/share/plasma/shells/org.kde.plasma.desktop/contents/layout.js.distrib /usr/share/plasma/shells/org.kde.plasma.desktop/contents/layout.js
+fi
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0